ROOT=../../..
SRC=$(ROOT)/src/sch-rnd
HERE=$(shell pwd)

all:

test:
	@cd $(SRC) && ./sch-rnd -x abst --outfile $(HERE)/abst.out $(HERE)/project.lht && cd $(HERE)
	@diff -u abst.ref abst.out
	@rm abst.out

distclean clean:
	touch abst.out
	rm abst.out
